<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>ISLocalToGlobalMappingRestoreInfo</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="ISLocalToGlobalMappingRestoreInfo"><H1>ISLocalToGlobalMappingRestoreInfo</H1></A>
Frees the memory allocated by <A HREF="../IS/ISLocalToGlobalMappingGetInfo.html#ISLocalToGlobalMappingGetInfo">ISLocalToGlobalMappingGetInfo</A>() 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petscsys.h" 
#include "petscis.h"  
PetscErrorCode PETSCVEC_DLLEXPORT ISLocalToGlobalMappingRestoreInfo(ISLocalToGlobalMapping mapping,PetscInt *nproc,PetscInt *procs[],PetscInt *numprocs[],PetscInt **indices[])
</PRE>
Collective on <A HREF="../IS/ISLocalToGlobalMapping.html#ISLocalToGlobalMapping">ISLocalToGlobalMapping</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameters</FONT></H3>
<DT><B>mapping </B> -the mapping from local to global indexing
<br>
<P>
<H3><FONT COLOR="#CC3333">Output Parameter</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>nproc </B></TD><TD>- number of processors that are connected to this one
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>proc </B></TD><TD>- neighboring processors
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>numproc </B></TD><TD>- number of indices for each processor
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>indices </B></TD><TD>- indices of local nodes shared with neighbor (sorted by global numbering)
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../IS/ISLocalToGlobalMappingDestroy.html#ISLocalToGlobalMappingDestroy">ISLocalToGlobalMappingDestroy</A>(), <A HREF="../IS/ISLocalToGlobalMappingCreateIS.html#ISLocalToGlobalMappingCreateIS">ISLocalToGlobalMappingCreateIS</A>(), <A HREF="../IS/ISLocalToGlobalMappingCreate.html#ISLocalToGlobalMappingCreate">ISLocalToGlobalMappingCreate</A>(),
<BR><A HREF="../IS/ISLocalToGlobalMappingGetInfo.html#ISLocalToGlobalMappingGetInfo">ISLocalToGlobalMappingGetInfo</A>()
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/vec/is/utils/isltog.c.html#ISLocalToGlobalMappingRestoreInfo">src/vec/is/utils/isltog.c</A>
<BR><A HREF="./index.html">Index of all IS routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
